Get Revenue Center Consumer Facing Content
post
/content/sim/v2/hierarchy/revenueCenters/getConsumerContent
Gets a list of Revenue Center Consumer Facing Content.
Request
Supported Media Types
- multipart/form-data
- application/json
Request body
Root Schema : schema
Type:
Show Source
object-
hierUnitId(required):
integer
Unique reference of the hierarchy unit of the revenue centerExample:
2 -
include:
string
If specified, limits the data returned to these fields.Example:
hierUnitId, images -
includeAll:
string
If this value is specified, the include parameter is ignored.
Value Description basic Forces the response to include all fields except option string details detailed Forces the response to include all fields including option string details Example:detailed -
langIds:
string
If specified, limits translated strings returnedExample:
1,2,3 -
limit:
integer
If using paging, number of results returned in this page.Example:
100 -
offset:
integer
Starting resource record index. Not required if paging parameters are not supportedExample:
0 -
orderBy:
string
Sorts the response by the specified field name and sort order. Allowed field is hierUnitId.Example:
hierUnitId:asc -
searchCriteria:
string
If specified, returns records that match the criteria. Allowed fields are hierUnitId, imageIndex, altText, description, size, and imageUrl.Example:
where equals(hierUnitId, 7)
Response
Supported Media Types
- application/json
200 Response
A collection of Revenue Center Consumer Facing Content.
Root Schema : schema
Type:
Show Source
object-
count:
integer
Current response record count.Example:
1 -
hasMore:
boolean
Flag indicating if there are more objects to fetch.Example:
false -
items:
array items
Array of Revenue Center Consumer Facing Content objects of the organization.
-
limit:
integer
Server page sizeExample:
10 -
offset:
integer
Starting resource record indexExample:
0 -
totalResults:
integer
Total number of rows (excluding the paging parameters)Example:
1
Nested Schema : items
Type:
arrayArray of Revenue Center Consumer Facing Content objects of the organization.
Show Source
-
Array of:
object items
Model for Revenue Center Consumer Facing Content Object Get Response
Nested Schema : items
Type:
objectModel for Revenue Center Consumer Facing Content Object Get Response
Show Source
-
hierUnitId:
integer
Unique hierarchy unit value of the Revenue Center.Example:
2 -
images:
array images
Collection of consumer content images configured for the Revenue Center.
Nested Schema : images
Type:
arrayCollection of consumer content images configured for the Revenue Center.
Show Source
Nested Schema : items
Type:
Show Source
object-
altText:
string
Alternate text of the image.Example:
Image of dining room -
description:
string
Descriptive comments of the image.Example:
Image of Dining Room -
imageIndex:
integer
Image slot number. Valid values are 1, 2, 3, and 4.Example:
1 -
imageUrl:
string
Stored image URL.Example:
https://objectstorage.oracle.com/xyz.jpg -
isCloudImage:
boolean
Boolean flag to indicate it is cloud image.Example:
true -
size:
string
Uploaded image size.Example:
Size: 12 kb, png: 100 x 100 px